%define major 		25
%define cheesemajor	8

%define libname		%mklibname %{name}-gtk %{major}
%define develname	%mklibname -d %{name}-gtk

%define girmajor	3.0
%define girname		%mklibname %{name}-gtk-gir %{girmajor}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		cheese
Version:	44.1
Release:	%mkrel 1
Summary:	A GNOME application for taking pictures and videos from a webcam
License:	GPLv2+
Group:		Video/Utilities
URL:		https://wiki.gnome.org/Apps/Cheese
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		cheese-c99.patch
# https://gitlab.gnome.org/GNOME/cheese/-/merge_requests/73
# https://gitlab.gnome.org/GNOME/cheese/-/issues/183
# https://bugzilla.redhat.com/show_bug.cgi?id=2315884
# Fix crash on startup due to invalid JSON
Patch1:		73.patch
#
# patches from upstream (https://gitlab.gnome.org/GNOME/cheese/)
#
BuildRequires:	gnome-common
BuildRequires:	meson
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(clutter-1.0) >= 1.13.2
BuildRequires:	pkgconfig(clutter-gst-3.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 0.91.8
BuildRequires:	pkgconfig(gdk-3.0) >= 3.3.6
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gio-2.0) >= 2.32.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 2.91.6
BuildRequires:	pkgconfig(gnome-video-effects)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 0.11.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.4
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(pangocairo) >= 1.28.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6.7
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	gnome-doc-utils >= 0.20
BuildRequires:	pkgconfig(xtst)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	vala >= 0.13.2
Requires:	gnome-video-effects
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-vp8
Requires:	gstreamer1.0-gstclutter3

# TODO update features once added upstream
%description
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library part of %{name}

%description -n %{libname}
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n %{develname}
Group:		Development/C
Summary:	Development files for %{name}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-gtk-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Provides:	%{mklibname %{name}-gir %{girmajor}} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%autosetup -p1

# Trigger recompilation of all Vala sources.
find -name '*.vala' -exec touch {} \;

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome --all-name

%define launchers %{_sysconfdir}/dynamic/launchers/webcam

# dynamic support
mkdir -p %{buildroot}%{launchers}
cat > %{buildroot}%{launchers}/%{name}.desktop << EOF
[Desktop Entry]
Name=Webcam Photobooth
Comment=Cheese Webcam Photobooth using \$devicename
TryExec=cheese
Exec=cheese
Terminal=false
Icon=cheese
Type=Application
StartupNotify=true
EOF

%post
update-alternatives --install %{launchers}/kde.desktop webcam.kde.dynamic %{launchers}/%name.desktop 60
update-alternatives --install %{launchers}/gnome.desktop webcam.gnome.dynamic %{launchers}/%name.desktop 60

%postun
if [ "$1" = "0" ]; then
   update-alternatives --remove webcam.kde.dynamic %{launchers}/%name.desktop
   update-alternatives --remove webcam.gnome.dynamic %{launchers}/%name.desktop
fi

%files -f %{name}.lang
%config(noreplace) %{launchers}/*.desktop
%{_bindir}/*
%{_mandir}/man1/cheese.1.*
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/applications/*
%{_datadir}/glib-2.0/schemas/org.gnome.Cheese.gschema.xml
%{_datadir}/metainfo/org.gnome.Cheese.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Cheese.service

%files -n %{libname}
%{_libdir}/lib%{name}-gtk.so.%{major}{,.*}
%{_libdir}/lib%{name}.so.%{cheesemajor}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Cheese-%{girmajor}.typelib

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}-gtk.so
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-gtk.pc
%{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/gir-1.0/Cheese-%{girmajor}.gir


%changelog
* Mon Nov 18 2024 papoteur <papoteur> 44.1-1.mga9
+ Revision: 2117408
- new version 44.1 (mga#33761)

* Sun Apr 23 2023 daviddavid <daviddavid> 44.0.1-1.mga9
+ Revision: 1954583
- new version 44.0.1

* Fri Apr 21 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1953863
- update to 44.0

* Mon Jan 02 2023 daviddavid <daviddavid> 43.0-1.mga9
+ Revision: 1928782
- new version: 43.0
- remove merged upstream patches

* Thu Nov 03 2022 ghibo <ghibo> 41.1-4.mga9
+ Revision: 1901986
- Merge patches from upstream to fix package building under gnome 43
+ papoteur <papoteur>
- Rebuild

* Wed Apr 06 2022 umeabot <umeabot> 41.1-2.mga9
+ Revision: 1845979
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 41.1-1.mga9
+ Revision: 1767451
- 41.~12

* Tue Sep 15 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1626751
- new version 3.38.0

* Mon Feb 24 2020 tv <tv> 3.34.0-3.mga8
+ Revision: 1549846
- rebuild for new libgnome-desktop

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1531154
- Mageia 8 Mass Rebuild

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439305
- new version 3.34.0

* Mon Aug 12 2019 ovitters <ovitters> 3.33.90.1-2.mga8
+ Revision: 1429046
- rebuild for gnome-desktop

* Tue Aug 06 2019 ovitters <ovitters> 3.33.90.1-1.mga8
+ Revision: 1427788
- new version 3.33.90.1

* Tue Aug 06 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1427714
- new release

* Mon Apr 08 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1386900
- new version 3.32.1

* Tue Mar 12 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374869
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.90-1.mga7
+ Revision: 1372583
- new version 3.31.90

* Thu Sep 13 2018 daviddavid <daviddavid> 3.30.0-2.mga7
+ Revision: 1258882
- requires gstreamer1.0-gstclutter3 instead of old gstreamer1.0-gstclutter

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1257065
- new version 3.30.0

* Fri Mar 16 2018 daviddavid <daviddavid> 3.28.0-1.mga7
+ Revision: 1209823
- new version: 3.28.0

* Tue Feb 20 2018 ovitters <ovitters> 3.26.0-3.mga7
+ Revision: 1203733
- rebuild for gnome-desktop

* Sat Feb 10 2018 daviddavid <daviddavid> 3.26.0-2.mga7
+ Revision: 1200042
- s/appdata/metainfo/

* Mon Sep 11 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1153095
- new version 3.26.0

* Tue Aug 22 2017 ovitters <ovitters> 3.25.90-1.mga7
+ Revision: 1143261
- new version 3.25.90

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094007
- new version 3.24.0

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060097
- new version 3.22.1

* Mon Sep 26 2016 tv <tv> 3.22.0-2.mga6
+ Revision: 1056831
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Tue Sep 20 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054574
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.3-1.mga6
+ Revision: 1053982
- new version 3.21.3

* Mon May 09 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011775
- new version 3.20.2

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000383
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993910
- new version 3.20.0

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 962426
- new version 3.19.90

* Sat Feb 13 2016 umeabot <umeabot> 3.18.1-2.mga6
+ Revision: 959691
- Mageia 6 Mass Rebuild

* Tue Oct 13 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890250
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883271
- new release

* Tue Sep 15 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879616
- new version 3.17.92

* Tue Sep 01 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871849
- new version 3.17.91

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865711
- update majors
- new version 3.17.90

* Fri Jul 24 2015 sander85 <sander85> 3.17.1-4.mga6
+ Revision: 856906
- Rebuild for new gnome-desktop3

* Tue Jun 30 2015 wally <wally> 3.17.1-3.mga6
+ Revision: 848826
- rebuild to get more typelib() requires

* Sun Jun 28 2015 wally <wally> 3.17.1-2.mga6
+ Revision: 847155
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 838437
- new version 3.17.1

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796284
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 745011
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738440
- new version 3.14.1
- dropped merged patch 1

* Tue Sep 30 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 732764
- new version 3.14.0
- add patch from upstream to fix linking
+ umeabot <umeabot>
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- new version 3.13.92

* Thu Aug 21 2014 ovitters <ovitters> 3.13.90.1-1.mga5
+ Revision: 666275
- new version 3.13.90.1
- new version 3.13.90

* Tue Jul 22 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655393
- new version 3.13.4

* Wed Jun 25 2014 ovitters <ovitters> 3.13.1-2.mga5
+ Revision: 639634
- update url

* Thu May 29 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 627689
- new version 3.13.1

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622352
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614118
- new version 3.12.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608273
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604583
- new version 3.11.92

* Mon Mar 03 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599131
- new version 3.11.91

* Fri Feb 28 2014 dams <dams> 3.11.90-4.mga5
+ Revision: 597760
- Add a require on 'gstreamer1.0-gstclutter' as spotted on mga#12831

* Mon Feb 24 2014 pterjan <pterjan> 3.11.90-3.mga5
+ Revision: 596086
- Rebuild for new cogl

* Wed Feb 19 2014 tv <tv> 3.11.90-2.mga5
+ Revision: 594625
- rebuild for new libgnome-desktop

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593993
- new version 3.11.90

* Sat Feb 08 2014 ovitters <ovitters> 3.11.5-2.mga5
+ Revision: 585973
- rebuild for new cogl

* Wed Feb 05 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 583828
- new version 3.11.5

* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550569
- new version 3.10.2
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497227
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484479
- new version 3.10.0

* Sun Sep 22 2013 dams <dams> 3.9.92-2.mga4
+ Revision: 483178
- rebuild for new gstreamer
+ fwang <fwang>
- bump req

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480768
- new version 3.9.92

* Mon Sep 02 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474523
- new version 3.9.91

* Mon Sep 02 2013 ennael <ennael> 3.9.90-2.mga4
+ Revision: 474338
- Rebuild against new gnome-desktop3

* Tue Aug 20 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 468323
- new version 3.9.90

* Thu Aug 01 2013 dams <dams> 3.9.5-2.mga4
+ Revision: 462429
- rebuild for new cogl

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 460879
- new version 3.9.5

* Thu Jul 25 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458056
- new version 3.9.4
- clean BR

* Sun Jul 14 2013 sander85 <sander85> 3.8.2-2.mga4
+ Revision: 454308
- Rebuild for new cogl

* Sat May 25 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 427131
- new version 3.8.2

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 347668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317384
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307322
- group: Video → Video/Utilities
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297251
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295641
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288261
- update lib majors
- br gudev-1.0
- br gstreamer-basevideo-1.0
- update br
- new version 3.5.91
+ fwang <fwang>
- bump br

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279579
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271508
- new version 3.5.4

* Wed Jun 27 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264515
- new version 3.5.3

* Tue Jun 26 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 263890
- new version 3.5.2

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235689
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231121
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226936
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224525
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.90-4.mga2
+ Revision: 220649
- rebuild for new cogl

* Thu Feb 23 2012 fwang <fwang> 3.3.90-3.mga2
+ Revision: 212478
- rebuild for new cogl

* Tue Feb 21 2012 dams <dams> 3.3.90-2.mga2
+ Revision: 211515
- add vp8enc as a require

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211324
- new version 3.3.90

* Tue Feb 07 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205771
- new version 3.3.5

* Tue Jan 17 2012 fwang <fwang> 3.3.4-2.mga2
+ Revision: 197265
- rebuild for new cogl

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197039
- new version

* Thu Dec 22 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 185635
- br itstool
- new version 3.3.3

* Sun Dec 11 2011 ovitters <ovitters> 3.3.2-3.mga2
+ Revision: 180649
- require gstreamer0.10-plugins-good (bug 3706)

* Wed Nov 23 2011 fwang <fwang> 3.3.2-2.mga2
+ Revision: 171153
- rebuild for new libchamplain

* Tue Nov 22 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 170789
- update file list
- update libmajor
- new version 3.3.2

* Sat Oct 29 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 159425
- update file list
- new version 3.3.1

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156054
- new version 3.2.1

* Wed Oct 12 2011 ovitters <ovitters> 3.2.0-2.mga2
+ Revision: 154106
- require gstreamer0.10-plugins-bad

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149367
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145868
- new version 3.1.92

* Mon Sep 19 2011 wally <wally> 3.1.91.1-2.mga2
+ Revision: 145690
- rebuild for new cogl

* Wed Sep 07 2011 tv <tv> 3.1.91.1-1.mga2
+ Revision: 140607
- library majors got bumped
- new release

* Tue Sep 06 2011 wally <wally> 3.1.91-1.mga2
+ Revision: 139616
- new majors
+ tv <tv>
- fix source URL
+ fwang <fwang>
- update br
- new version 3.1.91
- rebuild for new cogl

* Tue Jul 19 2011 wally <wally> 3.0.2-1.mga2
+ Revision: 126605
- new version 3.0.2
- drop upstream applied patch

* Tue Jul 05 2011 wally <wally> 3.0.1-2.mga2
+ Revision: 118723
- rebuild for new cogl

* Mon Jul 04 2011 wally <wally> 3.0.1-1.mga2
+ Revision: 118524
- new version 3.0.1
- add a subpackage for gir .typelib
- require gnome-video-effects
- clean .spec a bit

* Sat Feb 26 2011 ennael <ennael> 2.32.0-1.mga1
+ Revision: 60057
- fix missing BR
- clean spec file
- imported package cheese


* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581618
- update to new version 2.32.0

* Fri Sep 17 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 579139
- update to new version 2.31.92

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574281
- update to new version 2.31.91

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 570771
- update to new version 2.31.90

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539321
- update to new version 2.30.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528946
- update to new version 2.30.0

* Wed Mar 10 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.92-2mdv2010.1
+ Revision: 517439
- force rebuild

* Tue Mar 09 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 516884
- update to 2.29.92

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 510026
- new version
- new major

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 503187
- new version
- add library package

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-2mdv2010.1
+ Revision: 490511
- rebuild for new libgnome-desktop

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 489895
- new version
- update build deps
- remove not yet needed libcheese-gtk

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-2mdv2010.0
+ Revision: 458728
- Force rebuild
- Release 2.28.1

* Thu Sep 24 2009 Götz Waschk <waschk@mandriva.org> 2.28.0.1-1mdv2010.0
+ Revision: 448521
- update to new version 2.28.0.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446456
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437410
- update to new version 2.27.92

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420756
- update to new version 2.27.91

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 414698
- update to new version 2.27.90

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 401384
- update to new version 2.27.5

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 395677
- update to new version 2.27.4

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 386266
- update to new version 2.27.3

* Mon May 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 379725
- update to new version 2.27.2

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 374189
- new version

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355976
- update to new version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347452
- update to new version 2.25.92

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341229
- update to new version 2.25.91

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336666
- update to new version 2.25.90

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325241
- update to new version 2.25.4

* Thu Jan 01 2009 Götz Waschk <waschk@mandriva.org> 2.25.3-2mdv2009.1
+ Revision: 323213
- rebuild for new gnome-desktop

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315812
- update to new version 2.25.3

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 309008
- fix build deps
- update to new version 2.25.2

* Wed Nov 05 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 300032
- new version
- update build deps

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295727
- new version
- fix source URL

  + Nicholas Brown <nickbrown@mandriva.org>
    - Add dynamic webcam alternative, at a higher priority than ekiga and
      xawtv. #43963

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286921
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282916
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278576
- new version

* Thu Aug 21 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 274632
- new version
- update build deps
- update file list

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 2.23.6-2mdv2009.0
+ Revision: 263669
- New version 2.23.6

* Wed Jul 30 2008 Michael Scherer <misc@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 254731
- update to new version 2.23.5

* Fri Jul 04 2008 Michael Scherer <misc@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231790
- update to 2.23.4, remove old patch applied upstream

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Mar 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 190939
- Patch0: various fixes from SVN

* Tue Mar 11 2008 Michael Scherer <misc@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 186736
- new release

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 177097
- new version
- fix url

* Sun Feb 17 2008 Michael Scherer <misc@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 169690
- fix version and use gnome.org ftp
- update to new version 2.21.91

  + Thierry Vignaud <tv@mandriva.org>
    - fix gstreamer0.10-devel BR for x86_64

* Sun Feb 03 2008 Funda Wang <fwang@mandriva.org> 2.21.90.1-1mdv2008.1
+ Revision: 161670
- New version 2.21.90.1

* Wed Jan 16 2008 Jérôme Soyer <saispo@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 153860
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.4-1mdv2008.1
+ Revision: 116384
- Fix BuildRequires
- New version 0.2.4

* Wed Oct 17 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.1-2mdv2008.1
+ Revision: 99606
- Fix BuildRequires
-Use new configure macro
- Patch0 : fix running under non-UTF8 locale

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot

  + Michael Scherer <misc@mandriva.org>
    - new version 0.2.1

* Thu Aug 16 2007 Michael Scherer <misc@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 64125
- new version 0.2.0

* Fri Aug 03 2007 Michael Scherer <misc@mandriva.org> 0.1.4-1mdv2008.0
+ Revision: 58678
- Import cheese

